From e563fd951f5819ea1e9afd2651da37fa80bb996c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 31 2020 01:21:52 +0000
Subject: [PATCH 1900/2232] Fix span placement on enum variants


---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index a29434f..4fec02d 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -305,7 +305,8 @@ fn expand_enum(enm: &Enum) -> TokenStream {
         let attrs = &variant.attrs;
         let variant_ident = &variant.name.rust;
         let discriminant = &variant.discriminant;
-        Some(quote! {
+        let span = variant_ident.span();
+        Some(quote_spanned! {span=>
             #doc
             #attrs
             pub const #variant_ident: Self = #ident { repr: #discriminant };
diff --git a/tests/ui/deny_missing_docs.stderr b/tests/ui/deny_missing_docs.stderr
index 6feec4f..df82b3b 100644
--- a/tests/ui/deny_missing_docs.stderr
+++ b/tests/ui/deny_missing_docs.stderr
@@ -23,12 +23,10 @@ error: missing documentation for a struct
    |     ^^^^^^^^^^^^^^^^^^^^^^^^^
 
 error: missing documentation for an associated constant
- --> $DIR/deny_missing_docs.rs:9:1
-  |
-9 | #[cxx::bridge]
-  | ^^^^^^^^^^^^^^
-  |
-  = note: this error originates in an attribute macro (in Nightly builds, run with -Z macro-backtrace for more info)
+  --> $DIR/deny_missing_docs.rs:22:9
+   |
+22 |         UndocumentedVariant = 0,
+   |         ^^^^^^^^^^^^^^^^^^^
 
 error: missing documentation for a struct
  --> $DIR/deny_missing_docs.rs:9:1

